* this is to check randomization for 2018 survey

capture log close
log using "rando.log", text replace

clear all
set more off
use "2018_survey.dta"


* testing whether the treatment groups and control groups are different for each possible answer

tabulate q1, generate(d_q1)
gen d_fem=d_q12
mean d_fem, over(hidgroup)
reg d_fem i.hidgroup, r 


tabulate q2, generate(d_q2)
* 1 is under 18-24, 2 is 25-34, 3 is 35-44, 4 is 45-45, 5 is 55-64, 6 is 65 above 
mean d_q21, over(hidgroup)
mean d_q22, over(hidgroup)
mean d_q23, over(hidgroup)
mean d_q24, over(hidgroup)
mean d_q25, over(hidgroup)
mean d_q26, over(hidgroup)

reg d_q21 i.hidgroup, r
reg d_q22 i.hidgroup, r
reg d_q23 i.hidgroup, r
reg d_q24 i.hidgroup, r
reg d_q25 i.hidgroup, r
reg d_q26 i.hidgroup, r


tabulate q3, generate(d_q3)
*1 to 12 regions
mean d_q31, over(hidgroup)
mean d_q32, over(hidgroup)
mean d_q33, over(hidgroup)
mean d_q34, over(hidgroup)
mean d_q35, over(hidgroup)
mean d_q36, over(hidgroup)
mean d_q37, over(hidgroup)
mean d_q38, over(hidgroup)
mean d_q39, over(hidgroup)
mean d_q310, over(hidgroup)
mean d_q311, over(hidgroup)
mean d_q312, over(hidgroup)

reg d_q31 i.hidgroup, r
reg d_q32 i.hidgroup, r
reg d_q33 i.hidgroup, r
reg d_q34 i.hidgroup, r
reg d_q35 i.hidgroup, r
reg d_q36 i.hidgroup, r
reg d_q37 i.hidgroup, r
reg d_q38 i.hidgroup, r
reg d_q39 i.hidgroup, r
reg d_q310 i.hidgroup, r
reg d_q311 i.hidgroup, r
reg d_q312 i.hidgroup, r

tabulate q4, generate(d_q4)
* 1 to 9 education
mean d_q41, over(hidgroup)
mean d_q42, over(hidgroup)
mean d_q43, over(hidgroup)
mean d_q44, over(hidgroup)
mean d_q45, over(hidgroup)
mean d_q46, over(hidgroup)
mean d_q47, over(hidgroup)
mean d_q48, over(hidgroup)
mean d_q49, over(hidgroup)


reg d_q41 i.hidgroup, r
reg d_q42 i.hidgroup, r
reg d_q43 i.hidgroup, r
reg d_q44 i.hidgroup, r
reg d_q45 i.hidgroup, r
reg d_q46 i.hidgroup, r
reg d_q47 i.hidgroup, r
reg d_q48 i.hidgroup, r
reg d_q49 i.hidgroup, r

tabulate q5, generate(d_q5)
*1 to 8, employment
mean d_q51, over(hidgroup)
mean d_q52, over(hidgroup)
mean d_q53, over(hidgroup)
mean d_q54, over(hidgroup)
mean d_q55, over(hidgroup)
mean d_q56, over(hidgroup)
mean d_q57, over(hidgroup)
mean d_q58, over(hidgroup)

reg d_q51 i.hidgroup, r
reg d_q52 i.hidgroup, r
reg d_q53 i.hidgroup, r
reg d_q54 i.hidgroup, r
reg d_q55 i.hidgroup, r
reg d_q56 i.hidgroup, r
reg d_q57 i.hidgroup, r
reg d_q58 i.hidgroup, r

tabulate q10, generate(d_q10)
* 1 to 6, definition of what gdp is
mean d_q101, over(hidgroup)
mean d_q102, over(hidgroup)
mean d_q103, over(hidgroup)
mean d_q104, over(hidgroup)
mean d_q105, over(hidgroup)
mean d_q106, over(hidgroup)

reg d_q101 i.hidgroup, r
reg d_q102 i.hidgroup, r
reg d_q103 i.hidgroup, r
reg d_q104 i.hidgroup, r
reg d_q105 i.hidgroup, r
reg d_q106 i.hidgroup, r

* randomization for the know gdp, know ons, and trust caterogy
gen d_know_gdp=d_q103
*ONS trust
tabulate q9, generate(d_q9) nofreq
*greatly and tend to trust them
gen d_trust_ons=d_q91+d_q92
*ONS knowledge
tabulate q8, generate(d_q8) nofreq
*good
gen d_know_ons=d_q81

gen dchar=d_know_gdp*d_know_ons*d_trust_ons
mean dchar, over(hidgroup)
reg dchar i.hidgroup, r




