capture log close
log using "2018.log", text replace

* this is for the first wave
clear all
set more off
use "2018_survey.dta"


* note question numbers are different. 
* measuring certainty (higher value means more certain about value)

generate uncer=1 if q15==7
replace uncer=2 if q15==6
replace uncer=3 if q15==5
replace uncer=4 if q15==4
replace uncer=5 if q15==3
replace uncer=6 if q15==2
replace uncer=7 if q15==1
reg uncer i.hidgroup, r

* Probability  interval is 30%
tabulate q16, generate(d_q16)
*correct answer
gen d_intcorr=d_q165
reg d_intcorr i.hidgroup, r

*interval
reg intrangeclean i.hidgroup,r

gen inter=q12-q13
replace inter = q13-q12 if inter<0
replace inter =99999 if inter>100
replace inter=. if inter==99999
reg inter i.hidgroup,r




* understanding revisions
*understands revisions
gen d_undrev=q17_2
reg d_undrev i.hidgroup, r
*political revisons
gen d_pol=q17_3+q17_4
gen d_polrev=(d_pol>=1)
reg d_polrev i.hidgroup, r
*mistakes revisions
gen d_mistrev=q17_1
reg d_mistrev i.hidgroup, r
*data limitations
gen d_limit=q17_5
reg d_limit i.hidgroup, r




* adding iteraction with know what gdp  is
tabulate q10, generate(d_q10) nofreq
*know what GDP is
gen d_know_gdp=d_q103

*ONS trust
tabulate q9, generate(d_q9) nofreq
*greatly and tend to trust them
gen d_trust_ons=d_q91+d_q92

tabulate q8, generate(d_q8) nofreq
*ONS knowledge
gen d_know_ons=d_q81

*the guys that trust ons, know ons and know gdp
gen dchar=d_trust_ons*d_know_ons*d_know_gdp

*heterogenity regressions
reg uncer i.hidgroup##dchar, r
reg d_intcorr i.hidgroup##dchar, r
reg inter i.hidgroup##dchar, r
reg d_undrev i.hidgroup##dchar, r
reg d_polrev i.hidgroup##dchar, r
reg d_mistrev i.hidgroup##dchar, r
reg d_limit i.hidgroup##dchar, r

*for those that don't know
gen dchar2=1-dchar
reg uncer i.hidgroup if dchar2==1, r
reg d_intcorr i.hidgroup if dchar2==1, r
reg inter i.hidgroup if dchar2==1, r
reg d_undrev i.hidgroup if dchar2==1, r
reg d_polrev i.hidgroup if dchar2==1, r
reg d_mistrev i.hidgroup if dchar2==1, r
reg d_limit i.hidgroup if dchar2==1, r


*table for control group

sum uncer d_intcorr inter d_undrev d_polrev d_mistrev d_limit if hidgroup==1

log close
